# -*- coding: utf-8 -*-
# Generated by Django 1.9.1 on 2017-06-02 13:02
from __future__ import unicode_literals

from __future__ import absolute_import
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FeedBack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('session', models.CharField(max_length=50, verbose_name='Сессия')),
                ('date_time', models.DateTimeField(verbose_name='Дата и время')),
                ('result', models.PositiveSmallIntegerField(choices=[(1, 'Успешно'), (2, 'Есть ошибки'), (3, 'Ошибка')], verbose_name='Результат')),
                ('comment', models.CharField(blank=True, max_length=100, null=True, verbose_name='Комментарий')),
                ('xml', models.CharField(max_length=200, verbose_name='XML')),
                ('archive', models.CharField(max_length=4096, verbose_name='Архив')),
                ('last_update_date', models.DateField(verbose_name='Дата последнего обновления')),
            ],
            options={
                'verbose_name': 'Результат взаимодействия',
                'verbose_name_plural': 'Результаты взаимодействия',
            },
        ),
        migrations.CreateModel(
            name='FeedBackDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('record_id', models.PositiveIntegerField(verbose_name='ID записи')),
                ('message', models.TextField(verbose_name='Сообщение')),
                ('processed', models.BooleanField(default=False, verbose_name='Обработано')),
            ],
            options={
                'verbose_name': 'Детализация ошибки выгрузки',
                'verbose_name_plural': 'Детализация ошибок выгрузки',
            },
        ),
        migrations.CreateModel(
            name='FeedBackStatistic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('model', models.CharField(max_length=100, verbose_name='Модель')),
                ('model_verbose', models.CharField(max_length=100, verbose_name='Наименование модели')),
                ('total', models.IntegerField(verbose_name='Всего')),
                ('invalid', models.IntegerField(verbose_name='Некорректных')),
                ('processed', models.IntegerField(verbose_name='Обработано')),
                ('created', models.IntegerField(verbose_name='Создано')),
                ('updated', models.IntegerField(verbose_name='Обновлено')),
                ('feedback', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='catalog.FeedBack', verbose_name='Результат выгрузки')),
            ],
            options={
                'verbose_name': 'Статистическая выкладка по выгрузке',
                'verbose_name_plural': 'Статистические выкладки по выгрузке',
            },
        ),
        migrations.AddField(
            model_name='feedbackdetails',
            name='feedback_statistic',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='catalog.FeedBackStatistic', verbose_name='Статистическая выкладка'),
        ),
    ]
